### Method

# Cogl Buffer set_update_hint

#### Declaration [src]

    void
    cogl_buffer_set_update_hint (
      CoglBuffer* buffer,
      CoglBufferUpdateHint hint
    )

#### Description [src]

Sets the update hint on a buffer. See `CoglBufferUpdateHint` for a description of the available hints.

Sets property | `Cogl.Buffer:update-hint`

#### Parameters

`hint`

  Type: `CoglBufferUpdateHint`

  The new hint.